:: ============================================================
:: This batch automate rendering *.pfb fonts using ps2pk
:: program and moves *.pk files to the appropriate directories
:: 
:: usage: PS2PK _font-name_ _resolution_ _encoding_
::       _font-name_  pfb font name without extension
::       _resolution_ resolution in dpi
::       _resolution_ filename containing encoding vector (optional)
::
:: It is assumed encoding files (*.enc) are in the directories specified
:: by the environment variable TEXCONFIG and PostScript fonts (*.pfb)
:: files are in the directory specified by the variable T1INPUTS
::
:: The *.pk files are searched in the directory .\lofo, if not
:: found they are rendered and stored there.
::
:: 				   T.Przechlewski (1995, march)
:: ============================================================
@echo off
 if exist lofo\nul goto CONTINUE
 echo Creating local directory...
 md lofo 
:CONTINUE
 if %2.==. goto DEFAULT
 if exist lofo\%2\%1.pk goto EXIST
 call afm-ext %1
 if %3.==. goto BUILTIN
 echo The encoding vector is: %3!
 c:\bin\ps2pk.exe -v -e%3 -X%2 -Y%2 %1.pfb %1.%2
 goto CONT
:BUILTIN 
 echo The encoding vector is not changed!
 c:\bin\ps2pk.exe -v -X%2 -Y%2 %1.pfb %1.%2
:CONT
 if not exist %1.%2 goto ERROR
 if not exist lofo\%2\nul md lofo\%2
 move %1.%2 lofo\%2\%1.pk
 goto END
:DEFAULT
 if exist lofo\300\%1.pk goto EXIST
 echo The encoding vector is not changed!
 c:\bin\ps2pk.exe -v %1.pfb %1.pk
 goto END
:ERROR
 echo STRANGE ERROR: probably there is no pfb/afm file on your system!
 goto END
:EXIST
 echo File already EXIST!
:END
